public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/camlp5/
Date: Wed, 10 Jul 2024 12:20:12 +0000 (UTC)	[thread overview]
Message-ID: <1720613982.feb81bf9b6e14ef9c9065a200fca5fc6dab34fa5.tupone@gentoo> (raw)

commit:     feb81bf9b6e14ef9c9065a200fca5fc6dab34fa5
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 10 12:18:40 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Wed Jul 10 12:19:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=feb81bf9

dev-ml/camlp5: add 8.03.00

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/camlp5/Manifest              |  1 +
 dev-ml/camlp5/camlp5-8.03.00.ebuild | 69 +++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-ml/camlp5/Manifest b/dev-ml/camlp5/Manifest
index d18d2bc07caa..dd717f839514 100644
--- a/dev-ml/camlp5/Manifest
+++ b/dev-ml/camlp5/Manifest
@@ -1,3 +1,4 @@
 DIST camlp5-8.00.04.tar.gz 1232659 BLAKE2B 47dd18e9c518b0dccda62d054d7950dffa025a129c81eb673e6caf11f37c2af1644de861288af2ecb8e95ee4d21bf0a1d69da4fe9ed5b3d1cf3bf1012ea06d4c SHA512 0951a9528c8c9b4becf54b352a6f897cb1af26de437a137757d597a3a2ad8aef1160a3c326c9503f783bccd154d8c14a354d3a35baae2bb551611697ce4f5327
 DIST camlp5-8.00.05.tar.gz 1237587 BLAKE2B 1028b1e77a048a6b2e8df4ab58171d4e182a21aa1ca01113fc0cb8b7e6f61b5db58e8c3a2f149d05c056fbd48c0c0d97e597121e4b2b55d62f1f62d80e92312b SHA512 f4cee1fba85dc3a7479929facd79d0b88f23de575107886a8d4c41cd4a0bee21ccc72f2791712635e401ca10c3ec24cfea32558eca09ba6616e01e8433c57bbe
 DIST camlp5-8.02.00.tar.gz 1260249 BLAKE2B d205cf29207c925bc52098c9e1e74c76b851c71514bc7ae6f6c1ff3c7bf971f7cf6974625c484d2ddf252d0befc557e3b2dd7134e8f5bed270d59d40f15be9a8 SHA512 6e3caccc780f8de1d5804ae8f5700d29255f968f7f8ee3f9ef6f3456883d63aeb0abe797233823fd368b40b74feb1f537c3a61ce35d0c9c2737ab06743a09ddd
+DIST camlp5-8.03.00.tar.gz 1284346 BLAKE2B 1c73c3093597b6ff7ad5b571880c8e3981edd9f9ec63b7770043e05514b87532f345dfe89eae7cf96cfd928ea36d036081ee000d0ca119d4e7d8bc96e5f5b337 SHA512 2e595aba439e9e2ce8e87d21a79e7e71e17ff460bd83ee2484dc38f171bb3d146f3ae2475b4d48f163f193c347b4485478f62a527503172d1210bb7ce9571664

diff --git a/dev-ml/camlp5/camlp5-8.03.00.ebuild b/dev-ml/camlp5/camlp5-8.03.00.ebuild
new file mode 100644
index 000000000000..b427939c85a1
--- /dev/null
+++ b/dev-ml/camlp5/camlp5-8.03.00.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit findlib vcs-clean
+
+DESCRIPTION="A preprocessor-pretty-printer of ocaml"
+HOMEPAGE="https://camlp5.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/refs/tags/${PV}.tar.gz
+	-> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc +ocamlopt"
+
+RDEPEND="
+	dev-ml/bos:=
+	dev-ml/camlp-streams:=[ocamlopt?]
+	dev-ml/fmt:=[ocamlopt?]
+	dev-ml/fpath:=
+	dev-ml/logs:=[ocamlopt?]
+	dev-ml/re:=[ocamlopt?]
+	dev-ml/rresult:=
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	egit_clean
+	default
+}
+
+src_configure() {
+	./configure \
+		--strict \
+		-prefix /usr \
+		-bindir /usr/bin \
+		-libdir /usr/$(get_libdir)/ocaml \
+		-mandir /usr/share/man || die "configure failed"
+}
+
+src_compile() {
+	ulimit -s 11530000
+	emake out
+	if use ocamlopt; then
+		emake opt
+		emake opt.opt
+	fi
+}
+
+src_test() {
+	ulimit -s 11530000
+	emake bootstrap
+	if use ocamlopt; then
+		emake opt
+		emake opt.opt
+	fi
+}
+
+src_install() {
+	emake DESTDIR="${ED}" install
+	# findlib support
+	insinto "$(ocamlfind printconf destdir)/${PN}"
+	doins etc/META
+
+	dodoc -r doc/*
+	dodoc CHANGES DEVEL ICHANGES README.md UPGRADING MODE
+}


             reply	other threads:[~2024-07-10 12:20 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-10 12:20 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-02 14:50 [gentoo-commits] repo/gentoo:master commit in: dev-ml/camlp5/ Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-06-05 17:53 Alfredo Tupone
2024-05-30  6:28 Alfredo Tupone
2023-08-08 15:39 Alfredo Tupone
2023-08-06 14:11 Alfredo Tupone
2023-07-17  6:12 Sam James
2023-04-28 13:06 Alfredo Tupone
2023-03-17 11:27 Arthur Zamarin
2023-03-17  7:00 Arthur Zamarin
2023-03-17  6:39 Arthur Zamarin
2023-03-16 23:52 Sam James
2023-03-16 23:17 Sam James
2023-02-19  8:45 Alfredo Tupone
2023-02-18 21:40 Alfredo Tupone
2023-02-15 18:38 Matt Turner
2023-01-27 19:49 Alfredo Tupone
2022-05-03 18:01 Arthur Zamarin
2022-05-03 17:52 Arthur Zamarin
2022-05-03 17:47 Arthur Zamarin
2022-05-03 17:45 Arthur Zamarin
2022-05-01 21:51 Jakov Smolić
2022-04-04 16:26 Alfredo Tupone
2022-01-09 10:51 Alfredo Tupone
2021-10-06  1:02 Sam James
2021-07-29  7:08 Agostino Sarubbo
2021-07-29  6:45 Agostino Sarubbo
2021-07-28  3:12 Sam James
2021-07-28  3:12 Sam James
2021-06-10  3:54 Sam James
2021-05-04 19:23 Sam James
2021-01-27  7:01 Alfredo Tupone
2021-01-24 16:06 Sam James
2021-01-14  6:39 Alfredo Tupone
2020-12-29  4:14 Sam James
2020-11-10  1:04 Sam James
2020-11-10  1:04 Sam James
2020-10-28  3:36 Sam James
2020-10-22 13:59 Sam James
2020-10-22 13:59 Sam James
2020-05-14  5:58 Alfredo Tupone
2020-05-13 13:19 Joonas Niilola
2020-05-13  8:11 Alfredo Tupone
2020-02-17 13:36 Alfredo Tupone
2020-02-17 12:21 Agostino Sarubbo
2020-02-17 12:13 Agostino Sarubbo
2020-02-17 12:09 Agostino Sarubbo
2020-02-10  0:53 Miroslav Šulc
2020-02-10  0:53 Miroslav Šulc
2020-01-15  8:16 Alfredo Tupone
2019-10-20 11:41 David Seifert
2017-11-04  9:53 Alexis Ballier
2017-07-17 11:54 Alexis Ballier
2017-06-26 11:43 Alexis Ballier
2017-06-25 14:42 Alexis Ballier
2017-04-27 10:40 Alexis Ballier
2017-01-24 10:55 Alexis Ballier
2017-01-23 18:27 Tobias Klausmann
2017-01-08  6:50 Aaron Bauman
2016-11-29 12:18 Alexis Ballier
2016-04-30 18:08 Alexis Ballier
2016-04-30 18:07 Alexis Ballier
2016-02-04 17:24 Tobias Klausmann
2016-02-02  8:51 Alexis Ballier
2015-11-12 11:58 Alexis Ballier
2015-11-12 11:21 Agostino Sarubbo
2015-11-11  9:54 Agostino Sarubbo
2015-11-10 12:01 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1720613982.feb81bf9b6e14ef9c9065a200fca5fc6dab34fa5.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox